* DRAWBOX.CMD
* COPYRIGHT (c) 1983 BY DAVID A. BASSKIN
* FREE UNLIMITED USE GRANTED - NO RESALE OR
* COMMERCIAL USE PERMITTED - SEE COPYRIGHT NOTE
* IN TEXT FILE DBGRAF.DOC
*
SET INTENSITY OFF
SET TALK OFF
* SET THE SCREEN BOUNDARIES
STORE 61440 TO UL,START
STORE UL+51 TO UR
STORE UL+(128*23) TO BL
STORE BL+51 TO BR,BRV
STORE UR+128 TO URV
STORE UL+128 TO ULV
STORE BL-128 TO BLV
ERASE
* DRAW THE BOX
* DRAW THE TOP LINE
DO WHILE START<=UR
 POKE START,24
 STORE START+1 TO START
ENDDO
* DRAW THE RIGHT SIDE LINE
DO WHILE URV<=BR
 POKE URV,4
 STORE URV+128 TO URV
ENDDO
* DRAW THE BOTTOM LINE
DO WHILE BRV>=BL
 POKE BRV,23
 STORE BRV-1 TO BRV
ENDDO
* DRAW THE LEFT SIDE LINE
DO WHILE BLV>=(UL+128)
 POKE BLV,1
 STORE BLV-128 TO BLV
ENDDO
* ONCE THE BOX IS DRAWN, IT CAN BE FILLED
@  2, 2 SAY "TEST LINE NUMBER 1"
@  4, 2 SAY "TEST LINE NUMBER 2"
@  7,12 SAY "TEST LINE NUMBER 3"
@ 10,12 SAY "TEST LINE NUMBER 4"
@ 16, 6 SAY "FINAL TEST LINE"
SET CONSOLE OFF
WAIT
SET CONSOLE ON
RELEASE START,UL,UR,BL,BR,ULV,URV,BLV,BRV
RETURN